@echo off
rem ###############################################################################
rem # Licensed Materials - Property of IBM
rem # 5724-T40 IBM License Metric Tool
rem # 5724-S94 IBM Tivoli Asset Discovery for Distributed
rem #
rem # (C) Copyright IBM Corp. 2004, 2011.  All Rights Reserved.
rem #
rem # US Government Users Restricted Rights - Use, duplication or
rem # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ###############################################################################


setlocal

set CMD_LINE_ARGS=
:setArgs
if ""%1""=="""" goto doneSetArgs
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto setArgs
:doneSetArgs

for /f "delims=" %%i in ('cscript.exe') do ( set ver=%%i & goto sver) 
:sver:
set cscript_ver=%ver:*5.=5.%
if %cscript_ver% leq 5.5 (goto err_cscript_ver)
cscript.exe //nologo install.vbs %CMD_LINE_ARGS%
goto end

:err_cscript_ver
echo The cscript.exe version should be greater than 5.5, but the version found is %cscript_ver%

:err
set ERR_LEVEL=1

:end
if "%ERR_LEVEL%"=="" (
	set ERR_LEVEL=%ERRORLEVEL%
)

pause

exit /b %ERR_LEVEL%    
